package com.mvc.model.aihcxd;

public class TargetBoxModel {
    private int targetClass;//类别
    private double conf;//类别识别概率
    private double xmin;
    private double ymin;
    private double xmax;
    private double ymax;
    private int priorBoxIndex;//在先验框list中的index
    private double isValid;

    public int getTargetClass() {
        return targetClass;
    }

    public void setTargetClass(int targetClass) {
        this.targetClass = targetClass;
    }

    public double getConf() {
        return conf;
    }

    public void setConf(double conf) {
        this.conf = conf;
    }

    public double getXmin() {
        return xmin;
    }

    public void setXmin(double xmin) {
        this.xmin = xmin;
    }

    public double getYmin() {
        return ymin;
    }

    public void setYmin(double ymin) {
        this.ymin = ymin;
    }

    public double getXmax() {
        return xmax;
    }

    public void setXmax(double xmax) {
        this.xmax = xmax;
    }

    public double getYmax() {
        return ymax;
    }

    public void setYmax(double ymax) {
        this.ymax = ymax;
    }

    public int getPriorBoxIndex() {
        return priorBoxIndex;
    }

    public void setPriorBoxIndex(int priorBoxIndex) {
        this.priorBoxIndex = priorBoxIndex;
    }

    public double getIsValid() {
        return isValid;
    }

    public void setIsValid(double isValid) {
        this.isValid = isValid;
    }

    public TargetBoxModel() {
    }
}
